Main Page | Data Structures | File List | Data Fields | Globals

# libnet_802_1x_hdr Struct Reference

`#include <libnet-headers.h>`

## Data Fields
u_int8_t | dot1x_version
u_int8_t | dot1x_type
u_int16_t | dot1x_length

## Detailed Description

IEEE 802.1X EAP (Extensible Authentication Protocol) header, static header size: 4 bytes

## Field Documentation

u_int16_t libnet_802_1x_hdr::dot1x_length

| total frame length

u_int8_t libnet_802_1x_hdr::dot1x_type

| frame type

u_int8_t libnet_802_1x_hdr::dot1x_version

| protocol version

The documentation for this struct was generated from the following file:

- libnet-headers.h